WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: Register Plus] - can't be activated in WP 2.5.1 (21 posts)

  1. enowp
    Member
    Posted 6 years ago #

    After updating WP to 2.5.1. the Register PLus Plugin can't be activaed at all.
    Trying to activate gives this error message:
    "Parse error: syntax error, unexpected $end in C:\........\wordpress\wp-content\plugins\register-plus\register-plus.php on line 874"
    The error message is coming even after updating Register Plus to version 2.1
    ?????
    Eno

  2. skullbit
    Member
    Posted 6 years ago #

    You may want to try deleting the plugin and reinstalling it. There is nothing on line 874 to cause an error - it's blank!

    I've tested the plugin and it seems to activate fine on WP 2.5.1.
    Let me know what happens after you remove and reinstall the plugin.

    Thanks!

  3. enowp
    Member
    Posted 6 years ago #

    Here is the result after deleting the plugin and reinstalling it - and restarting the server as well. To be sure I downloaded a new Rgister Plus for the reinstallation.
    Be it won't activate, and produced the same error message as earlier, except for the line number which was 873 this time . . .
    Thanks,
    Eno

  4. skullbit
    Member
    Posted 6 years ago #

    Sorry, but I can't recreate your error. I've tried it locally on my windows machine and on my live site and it activates without any errors. Could be you have another plugin causing a conflict? Try deactivating your other plugins before activating this one and see what happens. Let me know.

  5. enowp
    Member
    Posted 6 years ago #

    Yes, I've just deactivated all plugins, restarted the server and tried to activate Register Plus. But the wellknown error message pops up, but this time the error line number is 877.
    It looks like to me as "it" is looking for something more, but what?
    The error message says "...syntax error, unexpected $end in.....".
    I've tried to put an empty line in the file, and then the error message tells that the error is in line 878 - and with two new lines the error message is line 879. (allways the first empty line at the end - saying "..unexpected $end..."
    I don't know what more to do to get it "up and go"...?
    Eno

  6. houseofstrauss
    Member
    Posted 6 years ago #

    Exactly the same issue as eno.

    Parse error: syntax error, unexpected $end in C:\wamp\www\wp1\wp-content\plugins\register-plus\register-plus.php on line 877 On a fresh local install of 2.51

    Hoping for fix?

    Thank-you

  7. houseofstrauss
    Member
    Posted 6 years ago #

    pleAseNote: the plugin DOES work with my online test site using php v 5 Local version is 5.25 Hope that helps

  8. enowp
    Member
    Posted 6 years ago #

    And, I'm using PHP version 5.25, too. . .

  9. MoontoC
    Member
    Posted 6 years ago #

    And, I'm using PHP version 5.25, too. . .

  10. MoontoC
    Member
    Posted 6 years ago #

    Parse error: syntax error, unexpected $end in register-plus.php on line 877

    <?

    register-plus.php 725!!!!!!!!!

    <?php

  11. skullbit
    Member
    Posted 6 years ago #

    Thanks guys, it's been a busy week and I've been sick too, so I haven't had any time to update, I'll get to it this weekend though. Cheers!

  12. pirusan
    Member
    Posted 6 years ago #

    Hi all,

    In the last version of the plugin (2.2), replace "<?" by "<?php" in line 725 of the file register-plus.php. The short_open_tag is not activated in most PHP installation so the open tag "<?" is not understand by PHP it-self.

    Greatings,
    David Duret

  13. enowp
    Member
    Posted 6 years ago #

    Hi,

    and thanks a lot!!

    Now I got Register Plus activated, but the "Validation" doesn't work. . .?!
    Every time I give it a try, the answer is "ERROR: Image Validation does not match".
    But I am quite sure I entered the text from the image without errors....!

    What......

    Thanks,
    Eno

  14. pirusan
    Member
    Posted 6 years ago #

    Same problem for me but not find what happened at this moment :(

    I have WinXP, PHP 5.2.5 and Apache 1.3.x

    David

  15. enowp
    Member
    Posted 6 years ago #

    And I use: WinXP, PHP 5.2.5, Apache 2.2.6

    Eno

  16. colory75
    Member
    Posted 6 years ago #

    Same problem with the validation code. But i found if u have the quick-shop plugin actived the validation code works......but don't ask me why ;)

    Lo

  17. enowp
    Member
    Posted 6 years ago #

    Thanks for the hint. . .
    Yes, the same here - with QuickShop activated the validating code works.
    But why ??
    Anyone who can help, what to do to get the code to work without having the QuickShop running. . .

    Eno

  18. skullbit
    Member
    Posted 6 years ago #

    Thank you pirusan for finding the short-tag issue, I did not see that!

    For those with image validation errors, I am adding support for reCAPTCH which may work better for you. Not sure what is causing the problem yet.

    Cheers!

  19. srqwebguy
    Member
    Posted 6 years ago #

    Just curious. I just installed V2.6 and am having the same problem with Captcha.

    "ERROR: Image Validation does not match."

    Did anyone ever find a solution? I tried reCaptcha, and it crashed my browser the first time I tried it. I also find the Captcha images easier to read. If someone has an answer I would appreciate the help.

  20. srqwebguy
    Member
    Posted 6 years ago #

    Update: I'll be darned. I just uploaded and activated QuickShop (not using it in any way, and did not change any code in any pages) and Captcha now works. Thanks for that info!

  21. mikey1
    Member
    Posted 6 years ago #

    Hi there, curious thread as I'm running 2.5.1 with register plus 3.1 no problems The latest version is here.
    http://wordpress.org/extend/plugins/register-plus/

    hop it helps. mike.

Topic Closed

This topic has been closed to new replies.

About this Topic